$(document).ready(function () {

    $('#checkBtn').on('click', function () {
        var user_name = $('#inputUser').val();
        var user_email = $('#inputEmail').val();

        var formData = {
            userAccount: user_name,
            userEmail: user_email
        }
        $.ajax({
            url: "/adApi/forgetPassword",
            type: "POST",
            data: formData,
            success: function (data, textStatus, jqXHR) {
                if (data.ret === "yes") {

                    alert("已寄出密碼重設驗證信已經寄出，請至信箱收信重設!");
                    $('#inputUser').val('');
                    $('#inputEmail').val('');

                } else {
                    if (data.err_code == "1003") {
                        alert('無此帳號!');
                        return;
                    }

                    if (data.err_code == "1004") {
                        alert('無此Email!');
                        return;
                    }

                    if (data.err_code == "1006") {
                        alert('無此帳號!');
                        return;
                    }

                    alert(data.message);
                }
            },
            error: function (jqXHR, textStatus, errorThrown) {
                alert('網路或伺服器發生錯誤，請稍後重試!');
            }
        });
    });

});